---
title: "Get transactions volume"
description: "Returns the total summed volume of transactions matching the supplied filters. Useful for dashboard metrics and reporting."
protocol: rest
method: GET
endpoint: "/v1/transactions/volume"
baseUrl: "https://api.gravv.xyz"
group: "Transactions"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get transactions volume

<Endpoint method="GET" path="/v1/transactions/volume" />

Returns the total summed volume of transactions matching the supplied
filters. Useful for dashboard metrics and reporting.

## Query Parameters

<ParamField name="sending_account_id" query="sending_account_id" type="string">
  Filter by sending account ID
</ParamField>

<ParamField name="receiving_account_id" query="receiving_account_id" type="string">
  Filter by receiving account ID
</ParamField>

<ParamField name="customer_id" query="customer_id" type="string">
  Filter by customer ID
</ParamField>

<ParamField name="channel" query="channel" type="string">
  Filter by transaction channel

  Possible values: `avalanche`, `ethereum`, `solana`, `stellar`, `polygon`, `ach`, `wire`, `swift`, `bank_transfer`, `mobile_money`, `internal`, `swap`, `sepa`, `base`, `sui`, `tron`, `card`, `card_funding`, `card_withdrawal`, `card_payment`, `savings`, `savings_withdrawal`, `savings_interest`
</ParamField>

<ParamField name="direction" query="direction" type="string">
  Filter by transaction direction

  Possible values: `in`, `out`
</ParamField>

<ParamField name="status" query="status" type="string">
  Filter by transaction status

  Possible values: `pending`, `completed`, `failed`, `waiting_approval`
</ParamField>

<ParamField name="transaction_type" query="transaction_type" type="string">
  Filter by transaction type

  Possible values: `internal_transfer`, `crypto_transfer`, `crypto_funding`, `global_remittance`, `card_funding`, `card_withdrawal`, `card_payment`, `account_funding`, `credit`, `debit`, `fee_charge`, `subscription_fee`, `invoice_payment`
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Total transaction volume |
| `400` | Bad request — invalid parameters or downstream error |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="total_volume" type="string">
      Sum of matched transaction amounts as a decimal string
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="string">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "total_volume": "12450.75"
  },
  "error": null
}
```

</ResponseExample>

### 400 response

<ResponseField name="data" type="any">
</ResponseField>

<ResponseField name="error" type="string">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": null,
  "error": "invalid query parameter"
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
